MKIMAGE(1)

NAME
mkimage - Generate image for U-Boot

SYNOPSIS
mkimage [options]

DESCRIPTION
The mkimage command is used to create images for use with the U-Boot boot loader. Thes eimages can contain the linux kernel, device tree blob, root file system image, firmware images etc., either separate or combined. mkimage supports two different formats: The old, legacy image format concatenates the individual parts (for example, kernel image, device tree blob and ramdisk image) and adds a 64 bytes header containing information about target architecture, operating system, image type, compression method, entry points, time stamp, checksums, etc. The new, FIT (Flattened Image Tree) format allows for more flexibility in handling images of various and also enhances integrity protection of images with stronger checksums.

OPTIONS
List image information:

-l [uimage file name]
    mkimage lists the information contained in the header of an existing U-Boot image.

Create old legacy image:

-A [architecture]
    Set architecture. Pass -h as the architecture to see the list of supported architectures.

-O [os]
    Set operating system. bootm command of u-boot changes boot method by os type. Pass -h as the OS to see the list of supported OS.

-T [image type]
    Set image type. Pass -h as the image to see the list of supported image type.

-C [compression type]
    Set compression type. Pass -h as the compression to see the list of supported compression type.

-a [load addess]
    Set load address with a hex number.

-e [entry point]
    Set entry point with a hex number.

-n [image name]
    Set image name to 'image name'.

-d [image data file]
    Use image data from 'image data file'.

-x  Set XIP (execute in place) flag.

Create FIT image:

-D dtcoption"
    Provide special options to the device tree compiler that is used to create the image.

-f fit-image.its"
    Image tree source fine that descbres the structure and contents of the FIT image.

EXMAPLES
List image information:
mkimage -l uImage

Create legacy image with compressed PowerPC Linux kernel:
mkimage -A powerpc -O linux -T kernel -C gzip \\
-a 0 -e 0 -n Linux -d vmlinux.gz uImage

Create FIT image with compressed PowerPC Linux kernel:
mkimage -f kernel.its kernel.itb

HOMEPAGE
http://www.denx.de/wiki/U-Boot/WebHome

AUTHOR
This manual page was written by Nobuhiro Iwamatsu <iwamatsu@nigauri.org> and Wolfgang Denk <wd@denx.de>